Eventum Issue Tracking System
=============================

2009-01-14, Version 2.2
- Fixed few errors with template localization (Alessandro Ogier)
- Added Precedence: Bulk header to emails to prevent out of office replies. Fixes #34466 (Bryan)
- Replaced prototype JS library with jQuery JS library (Bryan)
- Added datepicker UI to date fields (Bryan)
- Added compatability for MySQL 6 (Bryan)
- Added workflow method to determine what issue an email or note should be associated with (Bryan)
- Adding attachments to outgoing messages support (Harri Porten)
- Allow selecting initial project with /select_project.php?project=PROJECT_ID query parameter (Elan Ruusamäe)
- Fixed problem with last action date title not being set correctly (Bryan)
- Fixed problem where notes with attachments showed as "blocked" even though they were not (Bryan)
- Ignore wrongly formatted To headers instead of throwing an error (Bryan)
- Set SQLMODE to to blank (Bryan)
- Display link to attached file download in File Attached email notify (Elan Ruusamäe)
- Added new report to show a breakdown of issues by category and status (Bryan)
- Added support for user's having multiple email aliases. This is just a backend code, no UI to manage aliases (Bryan)
- Added new workflow method to modify messages being added to the mail queue (Bryan)
- [MAJOR] Changed email system to convert all incoming emails and notes to default charset before storing (Bryan)
- [MAJOR] Added system to manage database upgrades automatcially as SQL patch sets (Elan Ruusamäe)
- added convert-utf8.php script to update database to utf8 if the former encoding was proper (Bryan)
- added fix-charset.php script to update database to utf8 if the former encoding was improper (Elan Ruusamäe)
- Merged change to display issue created date on list issues page (Bryan)
- bounce emails back to user if download_emails.php method is used to handle routing and user has no permission to email to note or draft (needs "Leave Copy of Messages On Server" to be off) (Elan Ruusamäe)
- Fixed bug with user being able to update issues in projects he did not have access to (Bryan, #37320)
- Display in issue updated notifications name who made the change (Elan Ruusamäe)
- Added mechinism for workflow to set custom messages to be displayed in the UI (Bryan)
- Added new workflow methods preStatusChange, prePage (Bryan)
- Removed "View Mail Queue" link for Standard Users (Bryan, #37324)
- Changed subject of issue manually created from email to be consistent with other emails (Bryan)
- Allow managers to delete notes from any user (Bryan)
- Handled integer custom fields on advanced search (bug #38253)
- Added support for default values to the Custom Field API (Bryan)
- Don't check which project an email account belongs to when listing emails for an issue (Bryan)
- Fixed problem with associated issue validation on issue update page (Ingo van Lil, Bryan)
- Use text field for choosing issue to associate emails with (Bryan)
- Use text field for choosing duplicate issue (Bryan)
- Fixed bug with project selection not being remembered (bug #38279)
- Fixed bug with sorting by status from advanced search page (bug #37372)
- Fixed bug with adding attachments when sending emails (Bryan)
- Send specialized headers to reporters too (Bryan)
- Make <title> more informative in view.php pages (Elan Ruusamäe)
- Fix compatibility with PEAR Date 1.5.0, displaying times in wrong time (Elan Ruusamäe)
- Added pt_BR translation (Georger Araujo)
- Added workflow method to control which notification options are set (Bryan)
- Updated jquery ui.datepicker.js to 1.5.2 (Elan Ruusamäe)
- Added scm_log_url to SCM and handle ADDED and REMOVED actions for checkins (Elan Ruusamäe)
- Changed logic to allow users without access to the project to be CC'd on emails (Bryan Alsdorf)
- Updated datepicker to RC version to solve problem with the day of DST switch being displayed twice (Bryan Alsdorf)
- Allow users to login using email aliases (Bryan Alsdorf)
- Made week start day configurable from preferences for datepicker (Elan Ruusamäe)
- Let custom field size for multiple selection be items count but not more than 10 (Elan Ruusamäe)
- Fixed bug with encoding addresses with special characters when sending emails (Bryan)
- Fixed grp_id error on the manage users page after editing a user (Kirk Brown)
- Added workflow method to control if new To/Cc addresses are auto added to notification list (Bryan)
- Prevent PHP error with IRC bot when trying to fetch channels for a project with no channels defined (Bryan)
- Added more informative to close issue page explaining the difference between Internal / All notification options (Bryan)
- Fixed bug with custom field report display keys instead of values (Bryan, Elan Ruusamäe)

2008-01-09, Version 2.1.1
- Added missing PEAR classes for Text_Diff (Elan Ruusamäe)
- Fix unwanted breakage of PHP 4.x compatability (Elan Ruusamäe)
- Include JavaScript files client side, not from Smarty. Fixes #32619 (Elan Ruusamäe)
- Avoid redefine error of APP_GETTEXT_MODE constant in language class (Elan Ruusamäe)
- Added 'Category' to workload by date range report (Bryan)
- Update php-gettext wrapper to support switching locales on same page (Elan Ruusamäe)
- Update php-gettext to find LC_MESSAGES from various dirs like glibc function does (Elan Ruusamäe)

2007-11-20, Version 2.1
- Fixed error with DB error when removing assignnees from issue assignment list (Bryan)
- Rewritten error handling to create less smaller error reports (Elan Ruusamäe)
- Make issue associated list as text field (Bryan, Elan Ruusamäe)
- Implementing per project "mail aliases" (Alessandro Ogier, Elan Ruusamäe)
- Rollback file upload if there was an error instead of creating lingering attachments (Elan Ruusamäe)
- Made timetracking window input more convenient (Elan Ruusamäe)
- Display email addresses to whom email was sent when issue was updated (Elan Ruusamäe)
- Remove unnecessary array_map that breaks UTF-8 encoding in charts legend (Grzegorz 'Dzikus' Sterniczuk)
- Propagate errors from invalid to header and ignore it in emails listing page (Elan Ruusamäe)
- Add "Show Times spent on issue" to weekly report page (Elan Ruusamäe, Raul Raat)
- Fixed bug with viewers updating preferences (Bryan)
- Improved Weekly Reports output possibilities (Raul Raat)
- Added more information to Workflow::shouldEmailAddress (Bryan)
- Fixed bug with adding warning message to base64 encoded email (Bryan)
- Added "Recipients" to view email and view note page (Bryan)
- Added seperate columns for different custom field datatypes (Bryan)
- Display database error in text mode when invoked from cron (Elan Ruusamäe, Raul Raat)
- Hide issue stats from reporters when "Segregate Reporters" is enabled (Bryan)
- Fixed bug with lookup layer on edit notification list (Bryan)
- Fixed bug with reminders when no recipients are found (Bryan)
- Fixed bug with emails downloaded from mail server only being sent to issue assignee (Bryan)
- Added support level to list issues page (Bryan)
- Fixed conditional statements involving roles and localization (Bryan)
- Update add time tracking window so that change of start time changes the end time (Raul Raat)
- Don't hide Total Time Spent: when hiding time tracking block in issue details page (Raul Raat)
- Added ability to control if a custom fields is required and validation options from backend (Bryan)
- Added option to include custom fields on close issue page (Bryan)
- Added more parameters to Customer::notifyIssueClosed() (Bryan)
- Call Workflow::getAdditionalEmailAddresses() when notifying an issue has been updated (Bryan)
- Add extra parameter to Workflow::getAdditionalEmailAddresses() to allow issue diffs to be passed (Bryan)
- Fixed bug with not encoding [ and ] in address strings (Bryan)
- Changed roles needed to move issues between projects (Bryan)
- Added option to hide closed issues on stats page (CmputrAce)
- Make variable available for workflow to be able to detect whether the email created new issue (Elan Ruusamäe)
- Added support for inactive options to Custom field backends (Bryan)
- Fixed bug with saving routed email (Bryan)
- Added workflow method to control if email addresses are automatically added to the notification list (Bryan)
- Fixed bug with blocked emails adding sender to the notification list (Bryan)
- Changed customer API to support multiple contracts (Bryan)
- Fixed bug with closed issue notification going out even when it shouldn't have (Bryan)
- Prevent users of being notified if they assign an issue to themselves (Bryan)
- Updated Smarty and PEAR packages to latest versions (Elan Ruusamäe)
- Fixed tab order of custom fields (Bryan)
- Fixed bug with expandable tables (Bryan)

2007-04-17, Version 2.0.1
- Fixed packaging bug that prevented setup from running (Bryan)

2007-04-12, Version 2.0
- Fixed bug with user recieving an update email when they updated the issue (Bryan)
- Fixed bug with inserting attachment from email with an apostrophe in the email name (Bryan)
- Changed support_email table to not truncate long to and cc lists (Bryan)
- Changed status graph colors to actually match the status colors (Bryan)
- Fixed bug with downloading notes multiple times (Bryan)
- Automatically add sender of email to authorized repliers list when auto creating an issue (Bryan)
- Refresh parent window when closing notification popup (Bug #20020) (Bryan)
- Changed Eventum to honor default notification options when adding an address from an email (Bryan)
- Fixed bug with special "bullet" character when submitting an issue (Bryan)
- Added new 'Estimated Development Time' report (Bryan)
- Fixed bug that allowed reporter to change the status when sending an email (Bryan)
- Fixed bug with closing an issue while switching projects in another window (Bryan)
- Fixed PHP error on associate email page (Bryan, Rusty Nejdl)
- Changed Advanced Search to allow reporters to access it (Bryan)
- Added X-Eventum-Assignee header to emails (Bryan)
- Fixed bug with date fields on advanced search page not showing correctly (Bryan)
- Fixed bug with message body not being displayed when Content-Type is missing (Bryan)
- Fixed PHP warning in customer backend (Bryan)
- Fixed bug caused by whitespace at start of email address (Elan Ruusamäe)
- Fixed bug with wrong users being displayed on close issue page (Bryan)
- Changed quick filter form to be fixed width to avoid rendering problems in Firefox (Bryan)
- Fixed bug with error when sending emails creating infinite loops (Bryan)
- Fixed bug with special "dash" character when submitting an issue (Bryan)
- Fixed problem with rss feeds searching by custom fields (Bryan)
- Worked on removing instances of call time pass by reference (Bryan)
- Fixed bug with subject based routing with special characters (Bryan, Thanks to Frank Tilmans)
- Fixed bug with saving mail queue log (Bryan, Thanks to Peter van den Heuvel)
- Fixed bug with email bounces causing infinite mail loop when auto creating issues (Bryan)
- Added workflow method to be called before email is downloaded (Bryan)
- Added "Open Issues By Reporter" report (Bryan)
- Fixed bug with UTF8 characters on graphs (Bryan)
- Send emails with charset specified in config (Bug #17267) (Bryan)
- Added link from reporter to show all issues reported by that user (Bryan)
- Correctly show changes to issue private status in history (Bryan)
- Set last response date if sending an email from a user with a role of Standard User or above (Bryan)
- Added --separate-closed argument to Eventum CLI weekly-report command (Elan Ruusamäe)
- Removed double emails decoding bug (Bryan)
- Fix corruption of SCM commits messages of certain commit messages (Elan Ruusamäe)
- Allow SCM commit messages contain multiple issue IDs (Elan Ruusamäe)
- Add "Add signature" feature to issue close page (Elan Ruusamäe)
- Customize list page sorting order per column type (Elan Ruusamäe)
- Added $note_id to handleNewNote workflow method (Elan Ruusamäe)
- Detect and log corrupted MIME emails (Elan Ruusamäe)
- Show attached xml files inline (Elan Ruusamäe)
- Improved time tracking output to show also hours and days (Elan Ruusamäe)
- Changed view issue page to be more compact (Eliot Blennerhassett, Elan Ruusamäe)
- Rewritten SCM configuration which allows simple way of using https scheme (Elan Ruusamäe)
- Speedup SCM commits that are not associated with Eventum issue (Elan Ruusamäe)
- Optimized regex and memory usage (Elan Ruusamäe)
- Change permissions to allow Administrators to delete attachments from any users (Bryan)
- Remove "Remember Login" checkbox since it is confusing and mislabeled (Bryan)
- Fixed bug with custom fields report showing data across projects (Bryan)
- Fixed bug with Custom Fields with a type of date (Dave Greco)
- Dislay all recipients for emails in issue details screen (Elan Ruusamäe)
- Fixed bug with attachments breaking with magic_quotes_sybase = On (Dave Greco)
- Fixed stylesheet bugs (Dave Greco)
- Automatically add addresses on to/cc list to notification list when auto creating a new issue (Bryan)
- Change weekly report to be project specific (Bryan)
- Added warning message when closing issue from update issue page (Bryan)
- Added Ignore Issue Status Changes to weekly report window (Elan Ruusamäe)
- Update Eventum core code to handle PHP configurations without old style of globals (Elan Ruusamäe)
- Update JPGraph to handle PHP configurations without old style of globals (Bryan)
- Fixed bug with not setting the issue ID in the subject of emails sent to users not on the notification list (Bryan)
- Allow IRC bot to join server with username/password optionally. (Elan Ruusamäe)
- Set system user to always have a role of administrator (Bryan)
- Fixed bug with displaying note sequence (Bryan)
- Fixed bug with extracting attachments (Bryan)
- Added Finnish translation (Jyrki Heinonen)
- Fixed bug attachment history entry not being added due variable overwrite (Elan Ruusamäe)
- Fixed detection in process_{svn,cvs}_commits whether there was issue id specified in commit message (Elan Ruusamäe)
- Order weekly report by Issue ID (Bryan)

31 Mar 2006, Version 1.7.1
- Fixed bug with Workflow::handleAssignmentChange() being called too often (Bryan)
- Fixed bug that allowed unassigned issues even if "Allow unassigned issues" is set to no (Bryan)
- Added information on what community users should do to contribute code to the Eventum project (João)
- Fixed bug that tried to set status to "Assigned" when an issue was created with assignees (Bug #16165) (Bryan)
- Fixed bug with sorting by last action date with MySQL 5 (Bryan)
- Fixed bug with workflow API when updating custom fields (Bryan)
- Changed issue ID field to automatically strip non numeric characters when looking up issue (Bryan)
- Fixed bug that was causing too many redirects (Bryan)
- Added X-Eventum-Category special header (Bryan)
- Added workflow method to check if a user can email an issue (Bryan)
- Fixed bug where statuses were not restricted on view issue page (Bryan)
- Fixed bug with not encoding title on RSS feed (Bryan)
- Added favicon (Contributed by Georger Araujo)
- Added new constant APP_COOKIE_URL (Bryan)
- Fixed bug with using authentication when sending mail (Bryan)
- Fixed bug with empty reply-to headers causing mail to be associated with the wrong issue (Bryan)
- When creating a new issue from an email, add the senders to the authorized repliers list (Bryan)
- Added option to send closing comments to all users (Bryan)
- Fixed bug with custom date fields on anonymous report form (Bug #17166) (Bryan)
- Added new special header 'X-Eventum-Project' (Bryan)
- Added workflow method for when a user is added to the Authorized repliers list (Bryan)
- Added feature to allow sorting by custom fields (Bryan)
- Added full path to reports link (Bug #17551) (Bryan)
- Fixed bug with searching on custom date fields (Bryan)
- Changed naming format of saved routed emails/notes/drafts to be easier to read (Bryan)
- Fixed bug with issues not being created when using elipsis in issue description using Internet Explorer (Bryan)
- Fixed bug with notification email showing wrong status when sending a note (Bryan)
- Fixed bug with searching by keyword on email page (Bryan)
- Fixed bug with showing old project name when auto switching projects (Bryan)
- Added ability to use different hashing method for passwords (Bryan)
- Allow issue auto creation to work with subject based routing (Bryan)
- Fixed subject based routing to work across multiple projects (Bryan)
- Fixed page refreshes to use the relative URL instead of the absolute URL (Bryan)
- Fixed subject encoding in mail queue (Elan Ruusamäe)
- Truncate issue list in issue lookup to 70 characters (Elan Ruusamäe)
- Changed recent activity report to open issue links in blank windows (Elan Ruusamäe)
- Changed file upload window to not automatically close if there was an error uploading the file (Elan Ruusamäe)
- Changed templates to display 'Add Email/Note/Draft/etc' button, even when section is collapsed (Elan Ruusamäe)
- Fixed bug that prevented "Record Time Worked" section from being displayed (Elan Ruusamäe)
- Changed mail handling routines to be case insensitive (Elan Ruusamäe)
- Changed link filters to match more links and email addresses (Elan Ruusamäe)
- Fixed bug with associate emails page not remembering search parameters (Bryan)
- Changed configuration structure to seperate directories / files (Bryan, Elan Ruusamäe)
- Changed default to "Allow un-assigned issues" to "Yes" (Bryan)
- Enabled email integration by default (Bryan)
- Prevent users with a role of reporter from accessing time tracking information (Bryan)
- Display multi-combo custom fields on custom fields report (Bryan)

29 Dec 2005, Version 1.7.0
- Added feature to support custom fields with dynamic option lists (Bryan)
- Fixed bug with highlight quoted replies plugin with handling line seperators (Bryan, Elan Ruusamäe)
- Fixed bug with displaying values from multiple option custom fields (Bug #12494) (Bryan)
- Added feature to allow custom fields to store date values (Bryan)
- Added URL parameter to specify the project to switch to when loading a page (Bryan)
- Added constants to allow default user preferences to be configured (Bryan)
- Fixed bug with error checking on anonymous report form (Bryan)
- Changed Authorization code to redirect using 'Location' header for all servers except IIS (Bug #13051) (Bryan)
- Changed FAQ screen to use created date when last updated date is empty (Bryan)
- Changed associate note feature to not change subject when associating with an issue (Bryan)
- Fixed bug with updating priorities (Bryan)
- Fixed bug with parsing multiple or invalid email addresses (Bryan)
- Fixed the SCM checkin code to properly update the last action date field for an issue (João)
- Fixed a problem with the IRC bot that would prevent it from working under PHP5 (João)
- Fixed a bug in which inactive users would still show up when sending emails and choosing Cc: recipients (João)
- Added a workaround to a Windows-only Time zone related bug that would trigger a crash in Apache in certain circumstances (João)
- Fixed bug with expandable tables on recent activity report (Bryan)
- Fixed bug on custom fields report that prevent custom fields with backends from being displayed (Bryan)
- Updated Eventum to be compatible with MySQL 5.0 (Bryan)
- Added feature to add attachments from notes as internal only files (João)
- Added Subject based routing (Bryan; special thanks to Tibor Gellert)
- Added feature to allow recipient flags on all notes/emails sent from Eventum even if routing is disabled (Eliot Blennerhassett, Bryan)
- Added feature to handle email messages that don't have a Message-ID header set (Bryan)
- Added new 'Stalled Issues' report (Bryan)
- Updated the fulltext search routine to properly use UNIONs and allow MySQL to use the proper indexes when searching (João)
- Fixed bug on the RSS feed script to avoid an error condition when no issues could be found for a particular saved search (João)
- Fixed bug that reset Administrator's permission level (Bryan)
- Changed list.php to use relative instead of absolute URL (Bryan)
- Fixed bug with custom fields not showing up on new issue email from anonymous report form (Bryan)
- Added new workflow method to notify additional email addresses when a new issue is created (Bryan)
- Fixed bug with updating custom fields for projects with single quotes in their name (Bryan)
- Added code to prevent caching of csv export page (Bryan)
- Added priority and category to bulk update (Bryan)

19 Aug 2005, Version 1.6.1
- Fixed the installation procedure to add the INDEX privilege to the MySQL user (João)
- Fixed bug with handling HTML characters in Internal FAQ entries (Bryan)
- Fixed bug displaying priority in current filters (Bryan)
- Added feature to set X-Eventum-Type header in new assignment email (Bryan)
- Fixed bug that allowed users to access attachments, custom fields, phone calls and time tracking from issues they did not have access too (Bryan)
- Added new workflow method to check if an address should be emailed (Bryan)
- Fixed the issue searching routine to properly handle disabled fulltext search and customer integration features (João)
- Improved the IRC Bot script to be easier to configure (João)
- Added feature to update issue assignment, status and release for multiple issues at the same (Bryan)
- Fixed labels on workload by date range graphs (Bryan)
- Added feature to highlight quoted replies in notes and emails using smarty plugin from Joscha Feth (Bryan)
- Updated the bundled XML-RPC library to the latest PEAR 1.4.0 release (João)

29 Jul 2005, Version 1.6.0
- Added feature to control order of custom fields (Bryan)
- Added feature to specify custom field backend (Bryan)
- Added feature to control which users can access specific custom fields (Bryan)
- Improved fulltext search feature to include custom fields (Bryan)
- Fixed bug with returning list of statuses in abstract workflow backend (Bryan)
- Added reporter to advanced search page (Bryan)
- Fixed the editing of news items on the administration interface (João)
- Fixed possible SQL injection vulnerability on the Authentication class (Bug #12254) (João)
- Fixed the installation procedure code to properly detect MySQL versions and enable the fulltext search feature (João)
- Fixed possible SQL injection vulnerabilities on the Release and Report classes (Bug #12254) (João)
- Fixed bug that caused custom field data to be deleted from all projects when removing a field from one project (Bryan)
- Added the CREATE, DROP and ALTER privileges when creating a new MySQL user for the Eventum database (João)
- Added feature to display which filters are active on the issue listing screen (Bryan)
- Replaced JSRS library with a new httpClient library (Bryan)
- Fixed a bug that would prevent the authorized repliers list from working correctly (João)
- Changed the project switch feature so that it respects the user preference to auto close the popup window or not (João)
- Added the ability to rank FAQ entries (João)
- Added the feature to search for past releases on the advanced search screen (João)
- Fixed bug that caused URLs in news item to be corrupted (Bryan)
- Added option to choose time category when adding a time tracking entry from a note (Bryan)
- Added feature to automatically set the subject of new notes (Bryan)
- Fixed the view note window to properly display a special message when a note has been deleted (Bryan)
- Added feature to display a sequenential note number in title window of view note page (Bryan)
- Added feature to customize the boilerplate text of reminder alert messages (João)
- Fixed the RSS feature of custom filters to behave properly under Microsoft IIS (João)

26 Jul 2005, Version 1.5.5
- Fixed the issue details page to properly escape the summary of associated issues (Bug #10464) (João)
- Fixed the link activation code to properly parse and ignore certain words (Bug #10263) (João)
- Added a feature to automatically enable/disable the full-text search feature on the installation procedure (João)
- Improved the installation routines to properly display the full path to potential missing files (João)
- Updated Example Customer API to handle expired customers (Bryan)
- Fixed bug that caused links in FAQ entries to be mangled (Bryan)
- Fixed a bug on the workflow API so that it will only list backend files with filenames ending in .php (Elan Ruusamäe)
- Added a check on the link filter feature to avoid double parsing for urls (Elan Ruusamäe)
- Fixed bug with full-text searching under MySQL 4.1 (Bryan)
- Fixed email routing where domain portion was not properly verified (Elan Ruusamäe)
- Added Expected Resolution Date field to list issues page (Bryan)
- Changed the recent activity report to properly escape values in query (Bryan)
- Fixed issue summaries escaping on weekly report to prevent XSS (Elan Ruusamäe)
- Fixed bug that that didn't mark issue as updated when adding a time entry (Bryan)
- Fixed bug with CLI command 'open-issues' (Bryan)
- Fixed the database schema file to properly set the table types to MyISAM (João)
- Merged the fix for the security hole on the PEAR XML_RPC package (João)
- Fixed the custom field handling code to properly escape HTML values (João)
- Fixed the advanced search screen to properly save the 'authorized to email' / 'notification list' options (João)
- Added a validation check to the installation screen for the sender address (João)
- Changed the preferences screen to not allow customers to edit their personal details (João)
- Removed references to the missing 'cst_use_fulltext' database field (João)
- Fixed the auto-link feature to properly recognize URLs with pipes in them (Elan Ruusamäe)
- Added a new Workflow API method to be triggered when SCM commits are made (Elan Ruusamäe)
- Fixed the IRC bot to automatically re-join the channels when it reconnects (João, Elan Ruusamäe)
- Improved the Workflow::handleIssueClosed API to receive all arguments related to an issue being closed (Elan Ruusamäe)
- Fixed bug with spell checker (Bryan)

6 Jun 2005, Version 1.5.4
- Fixed bug with 'reply' button having a hard coded email account ID (Bryan)
- Added workflow method be to be called when adding a user to the notification list (Bryan)
- Fixed bug that prevented releases scheduled for today from showing up (Bryan)
- Added conditional statement to prevent PHP error if a user did not have any preferences set when creating new issue (Bryan)
- Changed the code to automatically disable magic_quote_runtime to prevent problems from creeping up (João)
- Changed the error handling routines to avoid sending out an email notification when the error is about MySQL's max_allowed_packet setting (João)
- Added workaround to prevent email from iNotes from being displayed as one line (Bryan)
- Fixed bug with < and > not showing up issue summaries on associate issues page (Bryan)
- Added feature to allow reporters to be added to the authorized repliers list (Bryan)
- Fixed bug with saving searches with the Rows Per Page as 'ALL' (Bryan)
- Changed send forms to display notification list accurately and consistently (Bryan)
- Added feature to mark last action as 'User Response' if a user with a level of 'Reporter' emails an issue (Bryan)
- Added feature to allow reporters to change 'Automatically close confirmation popup windows' preference (Bryan)
- Added check if 'register_argc_argv' is enabled in download_emails.php (Bryan)
- Fixed bug so that 'Remember Project' checkbox is honored on the select project page (Bryan)
- Added feature to automatically activate links within custom fields (Bryan)
- Added ability to change status when sending notes (Bryan)
- Added feature to display who closed the issue when sending notification email (Bryan)
- Added feature to automatically change pages to main page when switching projects from view or update page (Bryan)
- Fixed bug to only display FAQ entries for the currently selected project (Bryan)
- Fixed a bug that would trigger a loop of errors when a database connection cannot be completed (Elan Ruusamäe)
- Fixed the email removal routine to properly remove the associated email bodies (João)
- Fixed the permanent email removal routine so it doesn't remove the messages from the server if the 'leave messages on server' option is enabled (João)
- Added full text searching to the issue listing screen (Bryan)
- Fixed the issue details page to properly hide the custom fields table if there are none to be displayed (João)
- Fixed bug to prevent customers from accessing the email listing page (Bryan)
- Fixed SQL error when auto creating issue from email with no customer specified (Bryan)
- Changed the graphs on the initial screen to hide entities that don't have any values (João)
- Added a feature to display the number of open/closed items on the stats screen (João)
- Changed the user management screen not to allow administrators from changing the role of a customer user (João)
- Fixed the notification code to use a more descriptive subject about an issue being created from an email (Bryan)
- Fixed small time formatting bug that would only be triggered for values bigger than a day (João)

21 Apr 2005, Version 1.5.3
- Fixed bug with segregate reporters that allowed reporters to access issues they didn't report (Bryan)
- Fixed problem with resetting user permissions when updating a project (João)
- Fixed bug with returning number of rows on list issues page (Bryan)
- Fixed bug with encoding certain characters in email addresses (Bryan)
- Fixed bug with timezone DST information for 'Europe/Tallinn' and 'Europe/Vilnius' timezones (Elan Ruusamäe)
- Increased the default memory limit on the IRC bot code to prevent crashes (Elan Ruusamäe)
- Increased the default memory limit on the IRC bot code to prevent crashes (Elan Ruusamäe)
- Improved module name readability by making module/directory name not wrap on the list of CVS checkins (Elan Ruusamäe)
- Changed recent activity report to properly fix the encoding of sender/recipient headers (Elan Ruusamäe)
- Added feature to automatically activate links from within attachment descriptions (Elan Ruusamäe)
- Fixed bug that prevented URLs like http://example.com/~user/ from being auto-linked (Elan Ruusamäe)
- Fixed mail queue log screen to properly use the user's preferred timezone when displaying the queued date (Elan Ruusamäe)
- Fixed date handling code to properly use PEAR::Date to convert timezones (Elan Ruusamäe)
- Changed textarea height size to fit within the send email popup window (Elan Ruusamäe)
- Changed the issue listing screen code so that sorting by status will use the status rank field (João)
- Fixed code that allowed one to associate an issue to itself (João)
- Added some extra checks to the login screen to properly report problems on the Eventum installation (João)
- Added some code to properly identify closed issues when displaying duplicate or associated issues (João)
- Fixed problem that prevented search options from being saved on the advanced search screen (Bug #10026) (Bryan)
- Fixed magic quote problem by auto-unescaping quotes on $_REQUEST array (Bug #9915) (Bryan)
- Allow reporters to access issues they are on the authorized repliers list when segregate reporters is enabled (Bryan)

15 Apr 2005, Version 1.5.2
- Fixed the note viewing screen to prevent users with permission levels lower than "Standard User" from displaying notes (Bug #9134) (João)
- Fixed the time tracking remove routine to check if the person removing the entry is really its owner (Bug #9137) (João)
- Fixed the issue assignment feature of the listing screen to work again (João)
- Fixed bug that was causing php error when removing all assigned users from an issue (Bryan)
- Fixed bug with searching by date range on recent activity report (Bryan)
- Removed update issue confirmation dialog for users with a role of developer or above (Bryan)
- Fixed JS error on close issue page (Bryan)
- Fixed bug in example customer API (Bryan)
- Fixed bug with 'My Assignments' not remembering sort order (Bryan)
- Fixed bug #9181: Edit Notification List doesn't select address to edit (Bryan)
- Added feature to allow issue/note/draft routing to use normal email accounts instead of specialized setup (Bryan)
- Changed statuses to always be sorted by rank (Bryan)
- Fixed bug with array_merge() on manage users page (Bryan)
- Fixed bug with not being able to un-assign inactive users from issues (Bryan)
- Added more thorough input checking to prevent possible SQL Injection attacks (Bryan)
- Fixed Misc::activateLinks() method to handle links with tildes (Elan Ruusamäe)
- Fixed potential SQL injection vulnerabilities (Bryan)
- Fixed email handling code to properly strip CC and BCC headers from outgoing emails to avoid sending duplicate messages (Bryan)
- Added feature to list issues on Custom Fields report (Bryan)
- Added To and From columns to phone support listing (Bryan)
- Fixed estimated dev time showing up as minutes instead of hours on notification email (Bryan)
- Fixed a bug that was preventing an email from being converted to an issue even when it isn't from a known customer (João)
- Added extra order by clauses to make sure results are returned the same way every time (Bryan)
- Added feature to display project name in IRC notice if multiple projects are broadcasting in the same channel (Bryan)
- Fixed bug that caused notification to be sent to user who updated issue (Bryan)
- Fixed bug that prevented multiple select custom fields to have values cleared (Bug #9853) (Bryan)
- Changed issue listing screen show/hide links to be displayed in Opera/Safari (Elan Ruusamäe)
- Fixed dynCalendar so it works in Opera (Elan Ruusamäe)
- Added issue description to RSS feed as well as other minor fixes (Elan Ruusamäe)
- Fixed bug with transferring non-ASCII data over xmlrpc (Elan Ruusamäe)
- Fixed bug on the issue listing screen that would not add the assignee to the notification list (João)
- Added feature to clear closed date and resolution when re-opening issues (Bryan)
- Added feature to honor default notification options (Bryan)
- Added feature to display different auto created email for users that don't have accounts (Bryan)
- Added extra check to the installation procedure to properly check for session support (João)
- Fixed bug that caused the wrong timezone short name on daylight savings time to be displayed (João)
- Fixed bug that prevented SMTP authentication from working in a few special cases (João)
- Fixed problem that was triggering Internet Explorer's warning message about switching from secure to insecure mode on the reporting system (João)
- Added feature to automatically set the project lead user as a manager for that project (João)
- Fixed bug that caused release changes not to show up in update email (Bryan)
- Added feature so route emails script can now figure out what email account to use automatically (Bryan)

11 Mar 2005, Version 1.5.1
- Fixed bug in which associating an email to a new issue with a quotation mark on the subject would break the summary input tag (João)
- Avoid displaying PHP warnings when running Eventum under safe_mode (João)
- Fixed the mail queue processing code that was referencing a missing method name (João)
- Added feature to replace special characters Microsoft Word uses for double and single quotes with normal characters when creating an issue (Bryan)
- Added feature to allow emails to be moved between accounts (Bryan)
- Added some form validation to the custom field report (João)
- Changed the attachment handling code to handle certain attachment types better (Bryan)
- Changed the issue/email listing screens to save their search related information in the database, instead of in cookies (João)
- Added indexes to a few columns (Bug #7676) (Bryan)
- Added some code to prevent people from creating an internal FAQ entry without selecting the project first (João)
- Added feature to allow download_emails script to be called via the web (Bryan)
- Fixed the issue update code to properly subscribe new assignees to the notification list (João)
- Changed the behavior of the view issue screen to automatically hide tables without any data (João)
- Fixed some caching problems that might be triggered when customizing the columns to be displayed at a project level (João)
- Fixed the report form so that it dynamically focus the correct field depending on what form fields are hidden (João)
- Changed the view email screen to set the page character set to whatever is set on the underlying email content (Elan Ruusamäe)
- Added Estimated Dev time field to list issues page, view issue page and update page (Dustin Sias)
- Added Percent complete field (Dustin Sias)
- Changed javascript confirmation when updating an issue to not be displayed if no emails accounts exist yet (Bryan)
- Fixed bug that allowed any authenticated user to assign any issue to any user (Bug #9097) (Bryan)
- Changed history of changes screen to properly decode quoted-printable subject (Elan Ruusamäe)
- Changed the expandable cell feature to also automatically activate links (Elan Ruusamäe)
- Changed the error handling routines to save an error log with more detailed information (João)
- Fixed bug that would prevent users from downloading files because of encoded content-type headers (João)

01 Mar 2005, Version 1.5
- Fixed bug with looking up addresses not working when replying to email (Bryan)
- Fixed bug with APP_TITLE not being displayed in issue auto created messages (Bryan)
- Fixed Clock-In / Clock-Out link on non-base directories (João)
- Fixed the mail queue handling code to prevent displaying a PHP warning (João)
- Fixed a problem on the example customer backend that was triggering a DB error (João)
- Added missing function to Abstract_Workflow_Backend class (Bryan)
- Display the current textarea value when trying to update the custom fields (João)
- Issue assignment emails now go out from project email address (Bryan)
- Back button on mail queue log page uses app_base_url now (Bryan)
- Users can now have seperate roles per project (Bryan)
- Added option to hide priority and file field on create issue page (Bryan)
- Drafts are now never deleted (Bryan)
- Issues Descriptions are now collapsible (Bryan)
- Added #s to drafts, notes, phone calls, emails and time tracking entries (Bryan)
- Weekly report excludes notification and authorized replier actions (Bryan)
- Upgraded recent activity report to handle emails, notes, drafts and time tracking entries (Bryan)
- If text file is > 5K force download instead of displaying (Bryan)
- Add confirmation if you do not redeem incidents when closing an issue (Bryan)
- Fixed tab order on new issue form (Bryan)
- Add attachments to new issue notification (Bryan)
- Remove certain CC addresses from incoming emails (Bryan)
- Added IRC bot restart script (Bryan)
- Fixed SQL error with advanced search (Bryan)
- Fixed bug with link filters (Bryan)
- Added option to add time tracking entry from close issue page (Bryan)
- Fixed typo in JS confirmation when sending an email (Bryan)
- Added option to let reporters only view issues they reported (Bryan)
- Forced timezone library to realize all dates in Eventum are stored as GMT (Bryan)
- Added option to mark issues as private (Bryan)
- Fixed bug with remembering the row count on the 'My Assignment' link (Bryan)
- Fixed bug that caused multiple blank file upload fields to appear (Bryan)
- Fixed bug that prevented the edit custom fields window from automatically closing (Bryan)
- Remove 'Return-Path' header from messages added to the mail queue (Bryan)
- Added option to display reporter to list issues page (Bryan)
- Added the feature to always allow the issue reporter to send emails (Bryan)
- Changed attachment handling to work with inline attachments (Bryan)
- Apply encoding fixes in more places (Elan Ruusamäe)
- Fixed the CVS integration code to silence console errors when adding a new directory (Elan Ruusamäe)
- Fixed the email download code to release the lock if there is an error connecting to the mail server (Bryan)
- Added workload by date range report (Bryan)
- Added missing "scm_checkin_associated" history type (João)
- Fixed bug on CVS integration script that was not encoding the URL arguments (João)
- Added the ability to rank custom priorities (João)
- Fixed bug when sorting by category (Bryan)
- Added specialized headers to outgoing emails (Bryan)
- Added new CLI command 'takeIssue' (Bryan)
- Added reminders and ability to sort to recent activity report (Bryan)
- Added feature to prevent time tracking categories 'Email Discussion' and 'Telephone Discussion' from being removed (Bryan)
- When changing status with 'Change Status' select box, send out notification message (Bryan)
- Fixed the CVS commit handling regular expression to properly match "issue" or "bug" followed by a number (Elan Ruusamäe)
- Fixed the monitor code to properly escape the dash when searching for the IRC bot pid (Elan Ruusamäe)

04 Jan 2005, Version 1.4
- Fixed the notification code to properly handle the condition in which the recipient type flag is empty (João)
- Fixed the MIME handling code to support inline attachments (João)
- Fixed some of the navigation links so they show up for the Reporter permission level users (João)
- Fixed bug where developer role could not see which issues were quarantined from the list issues page (Bryan)
- Changed the mail queue code to properly add a Date: header to outgoing emails (João)
- Renamed the Profile page to Stats (João)
- Fixed the issue quarantine code so that when its status is changed it will now save a history entry about it (João)
- Changed the lookup field javascript code to search for keywords in the middle of the words instead of just at the beginning of them (João)
- Improved the error handling routine to also include the browser information (João)
- Fixed the email routing interface to allow 'issue+1@example.com' as a valid address (João)
- Changed the session code as to prevent it from messing up the browser cache (João)
- Removed the Lock/Unlock issue feature since it wasn't really restricting anything (João)
- Added 'Link Filters' so text matching a regular expression could be linked to other systems (Bryan)
- If select box only has one valid option it will be selected automatically (Bryan)
- Popups to choose associated issues now has option to choose issue by ID (Bryan)
- Added a prompt message to confirm the closing of the email window (Bryan)
- Changed reminder system to allow date fields to be compared with other date fields (Bryan)
- Changed IRC notification system to not always be tied to a specific issue (Bryan)
- Workflow: When a new email is recieved, the handleNewEmail method is always called. Previously the method was only called if the email was associated with an issue. (Bryan)
- Fixed bug that generated error when changing priority (Bryan)
- Added option to list custom fields on list issues page (Bryan)
- Fixed 'Issues by Release' link to actually only list issues from the correct release (Bryan)
- Added option to force reminders to not count weekends when performing date calculations (Bryan)
- Made certain popups resizable (Bryan)
- Fixed bug with outdated information being emailed to a user when a new project is assigned to them (Bryan)
- If customer integration is not enabled, don't mention customers in warning message (Bryan)
- Workflow: Added workflow method to restrict what statuses can be set for a specific issue (Bryan)
- Updated PEAR Net_UserAgent_Detect class to be compatible with PHP5 (Bryan)
- Added ability to dynamically control which columns are displayed on issue listing screen (Bryan)
- Added the 'Release' field to the advanced search page (Bryan)
- Added email configuration form to installation screen (Bryan)
- Fixed the custom field code to properly display the current value of a textarea-field when trying to update their information (João)
- Updated the custom field handling code in the anonymous report form (João)
- Automatically redirect to the second step of the anonymous report form if there is just one project to select (João)
- Added code to respect the allow-unassigned-issues feature in the anonymous report form (João)
- Rewrote the CVS integration script in PHP (João)
- Moved the file upload form to a popup window (João)
- Changed the template code to allow popup windows to be resized (João)
- Fixed the installation screen to properly display a warning if the IMAP extension is not enabled (João)
- Added some documentation about some of the management screens (João)
- Moved the log files into a separate directory (João)
- Rewrote the locking mechanism for most of the interactive scripts (João)
- Fixed the phone entry window to automatically close after submitting the form (João)
- Added the ability to create custom filters for "un-assigned" issues and issues assigned to "myself or un-assigned" (João)
- Fixed bug that was causing a SQL error when deleting projects if no email accounts were associated with it (Bryan)
- Added 'Recent Activity Report' to show phone calls added recently (Bryan)
- Fixed bug with phone call entry not defaulting to current local time (Bryan)
- Fixed bug with reminder system where expired contracts were not being excluded (Bryan)
- Added option to search by events in past X hours on advanced search page (Bryan)
- Added support for multiple incident types (Bryan)
- Following a direct link to an issue will no longer prompt for a project when you login (Bryan)
- Automatically switch projects if viewing an issue in a project other then the currently selected one (Bryan)
- Added default charset of 'ISO-8859-1' (Bryan)
- Inline file attachments (such as images) now have filename set (Bryan)

15 Sep 2004, Version 1.3.1
- Added the missing maq_iss_id and maq_subject columns to the mail_queue table schema (João)
- Fixed a database schema upgrade bug that tried to do "default '0'" in a auto_increment field (João)
- Added a missing named anchor in the example backend customer information template (João)
- Fixed the create issue form priority drop-down box to default to 'Please choose a priority' (João)
- Added the support for a non-standard MySQL port (João)
- Changed the issue reply window to have a unique name so one can reply to multiple issues at once (João)
- Fixed the FAQ and News modules to automatically activate links when displaying the content (João)
- Added the ability to sort by the Last Action Date column in saved searches (João)
- Added an initial set of commands to the IRC bot: !help; !auth; !clock; !list-clocked-in and !list-quarantined (João)

10 Sep 2004, Version 1.3
- Customer integration API (João, Bryan)
- Custom Workflow API (Bryan)
- Made canned email responses be customizable in a per-project basis (João)
- Made priorities be customizable in a per-project basis (João)
- Fixed the SQL schema to avoid the mystic "Invalid default value for 'sta_id'" error message when installing the application (João)
- Automatically add a slash in the end of the installation path to avoid configuration problems (João)
- Fixed bug in custom field report when not graphing all options. (Bryan)
- Forced order of graph bars on custom field report to match order options are listed in the select box. (Bryan)
- Added customer stats report. (Bryan)
- Added ability to specify which fields should be displayed on the issue creation form. (Bryan)
- Fixed the "Forgot My Password" code to check for null results (Clay Loveless)
- Improved the form validation of the email account form (Clay Loveless)
- Fixed a bug that was preventing history entries to be created about an assignment from an issue automatically created from an email (Clay Loveless, João)
- Added support for "date field is NULL" type search (João)
- Added the ability to create global custom filters (João)
- Displaying the history of reminder actions triggered for a specific issue (João)
- Added time tracking shortcuts to the note and draft popups (João)
- Added a feature to display the assignment information for an issue when doing IRC notifications (João)
- Added a new option to silently associate an email with an existing issue (João)
- Clear out any email listing screen search parameters when switching the currently selected project (João)
- Added shortcuts for the list-files and get-file CLI commands (João)
- Added a feature to include the backtrace of an error if we have access to the debug_backtrace() function (João)
- Added note to remind people to protect their setup directories after installation (João)
- Removed the "default notification options" feature. Too complex for something that should be simple (João)
- Added user preference to automatically pre-fill the email signature in the internal notes module (João)
- Fixed a bug that would continualy add "[#3333] Note: " to messages that already have that in the subject line (João)
- Added a feature to save the issue/email listing screen search parameters in a per-project basis, so switching projects no longer is a problem (João)
- Added a feature to allow a issue reminder to trigger a specific action and also a IRC notification (João)
- Fixed the issue-xxxx@ code to properly ignore vacation auto-responder messages (João)
- Improved the Mail_Queue class code to remove any Reply-To: values prior to sending the messages out (João)
- Added some performance tweaks to a few screens (João)
- Added a feature to hide issue resolution from interface if no resolutions are set (Bryan)
- Changed CLI 'open-issues' command to use a case insensitive search (Bryan)
- Added email notification for when issue assignment is changed (Bryan)
- Added Group support (Bryan)
- Display who performed the action when sending notification messages (Bryan)
- Changed titled of draft window to 'Create Draft' (Bryan)
- Added option to hide fields from users of a specific role on the create issue form (Bryan)
- Added ability for issues to be 'Quarantined' when they are created (Bryan)
- Added sorting on 'Last Action Date' column (Bryan, João)
- Changed the history of changes window to dynamically hide internal-only actions from customer users (Bryan)
- Fixed bug in the notification email code to properly display the project name in the outgoing emails (Clay Loveless)

30 Jun 2004, Version 1.2.2
- Forced cookies to always be set using APP_RELATIVE_URL to prevent multiple cookies from being created. (Bryan)
- Properly handling email attachments with uppercase MIME related values (João)
- Fixed the email and note routing scripts to parse MIME emails and fetch the appropriate message body (João)
- When handling a routed note, add all email addresses from staff users from both To: and Cc: list to notification list (João)
- Properly handle quoted-printable message bodies (João)
- Weekly report can now be generated for any time period. (Bryan)
- Added new Custom Field Report. (Bryan)
- Download emails script no longer requires a mailbox name if using a pop3 account. (Bryan)
- Fixed bug where values for new custom fields could not be set on existing issues. (Bryan)
- When replying to an email from the web interface, set the In-Reply-To: header accordingly (João)
- Added an automatic check to handle concurrency issues with the mail queue process script (João)
- Phone call module now uses expandable cell to save space. (João; Bryan)
- When Phone call is added, time tracking entry is also added. (João; Bryan)
- Moved description to seperate table to prevent wide descriptions from pushing the rest of the table over. (Bryan)
- Added security to reports to prevent users with a role lower then "Standard User" from accessing them. (Bryan)
- Auto reconnect to the IRC server if the connection is lost (João)
- Fixed cookie related problem that prevented users from logging into IIS based installations (João)
- Fixed a bug that was preventing the selected list of statuses from being stored when creating a new project (João)

15 Jun 2004, Version 1.2.1
- Fixed the email download routine to properly handle emails without any issue association (João)
- Changed the reminder email alert so it displays the current assignment list (João)
- Fixed the database upgrade script to properly respect the table prefix chosen by the user (João)

14 Jun 2004, Version 1.2
- SMS email address can now be set back to empty. (Bryan)
- Fixed a problem with a duplicate key name in the history_type table (João)
- Fixed a few database migration problems when upgrading from an old snapshot release (João)
- Added a missing directory required in order for the IRC bot to work (João)
- Added a feature to auto-create issues from downloaded emails (João)
- Reworked the code that handles the automatic association of email into issues (João)
- Added a missing directory required in order for the diff-style issue updated notification emails to work (João)
- Added a usr_id field to the email table to make reporting on that table easier (Bryan)
- Separated the body and full email fields from the email table into a separate one to improve query performance (João)
- Added a missing reference to the 'noted_emails|notes' directories in the INSTALL file (João)
- Removed 'to' field when sending emails from an issue since emails are sent to notification list. (Bryan)
- Fixed a bug in which the selected date for a phone call would be ignored (João)

05 Jun 2004, Version 1.1
- Initial release (João; Bryan)

/* vim: set encoding=utf-8: */
